#aws glue crawler

resource "aws_glue_connection" "glue_connection" {
  count            = var.jdbc_target_enabled == true ? 1 : 0

  name             = "${var.glue_crawler_name}-connection"
  connection_type  = "JDBC"
  connection_properties = {
    JDBC_CONNECTION_URL =  var.jdbc_url
    PASSWORD            =  var.db_username 
    USERNAME            =  var.db_password
  }
  physical_connection_requirements {
    subnet_id              = element(tolist(data.aws_db_subnet_group.database_subnet_group[0].subnet_ids), 0)
    security_group_id_list = data.aws_db_instance.database[0].vpc_security_groups
    availability_zone      = data.aws_db_instance.database[0].availability_zone   
  }
}

data "aws_db_instance" "database" {
  count = var.jdbc_target_enabled == true ? 1 : 0
  db_instance_identifier = var.rds_instance_name
}

data "aws_db_subnet_group" "database_subnet_group" {
  count = var.jdbc_target_enabled == true ? 1 : 0
  name  =  data.aws_db_instance.database[0].db_subnet_group
}